<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:ns5="http://www.w3.org/1999/xhtml" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="tbx_builder_gateway" xml:lang="en">
  <info>
    <pubdate>$LastChangedDate: 2008-08-19 17:13:51 +0200 $</pubdate>
  </info>
  <refnamediv>
    <refname>tbx_builder_gateway</refname>
    <refpurpose>Run builder_gateway.sce script if it exists (toolbox compilation process)</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
	  tbx_builder_gateway(toolbox_path)
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>toolbox_path</term>
        <listitem>
          <para>Root directory of toolbox sources ; builder_gateway.sce script will be searched in the sci_gateway subdirectory of this directory.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
// Recommended usage
tbx_builder_gateway(get_absolute_file_path('builder.sce'))
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>SL</member>
    </simplelist>
  </refsection>
</refentry>
